Package pyplusplus :: Package decl_wrappers :: Module class_wrapper :: Class class_common_details_t

# type class_common_details_t

source code

    object --+
             |
            class_common_details_t

Known Subclasses:
  - class_declaration_t
  - , class_t

defines few properties that are common to class declaration and definition classes

Instance Methods

__init__(self) | source code

guess_always_expose_using_scope_value(self) | source code

Properties
| indexing_suite_version indexing suite version
| indexing_suite reference to indexing suite configuration class.
| always_expose_using_scope please see class_wrapper.always_expose_using_scope_documentation variable for documentation.
| equality_comparable indicates existence of public operator=Default value is calculated, based on information presented in the declarations tree
| less_than_comparable indicates existence of public operator<.
| opaque If True, Py++ will treat return types and arguments T* as opaque types.Thus it will be able to generate code, that uses BOOST_PYTHON_OPAQUE_SPECIALIZED_TYPE_ID macro in a right places.
| class_var_name

Method Details

### __init__(self)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Property Details

### indexing_suite_version

indexing suite version

Get Method:
  _get_indexing_suite_version(self)
Set Method:
  _set_indexing_suite_version(self, version)

### indexing_suite

reference to indexing suite configuration class.

If the class is not STD container, this property will contain None"

### always_expose_using_scope

please see class_wrapper.always_expose_using_scope_documentation variable for documentation.

Get Method:
  _get_always_expose_using_scope(self)
Set Method:
  _set_always_expose_using_scope(self, value)

### equality_comparable

indicates existence of public operator=Default value is calculated, based on information presented in the declarations tree

Get Method:
  _get_equality_comparable(self)
Set Method:
  _set_equality_comparable(self, value)

### less_than_comparable

indicates existence of public operator<. Default value is calculated, based on information presented in the declarations tree

Get Method:
  _get_less_than_comparable(self)
Set Method:
  _set_less_than_comparable(self, value)

### opaque

If True, Py++ will treat return types and arguments T* as opaque types.Thus it will be able to generate code, that uses BOOST_PYTHON_OPAQUE_SPECIALIZED_TYPE_ID macro in a right places.

Get Method:
  _get_opaque(self)
Set Method:
  _set_opaque(self, value)

### class_var_name